Bug 1567340 - [abrt] nemo: g_type_check_instance_cast(): nemo killed by SIGSEGV
Summary: [abrt] nemo: g_type_check_instance_cast(): nemo killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nemo
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c49f1ff760c3ded1ce6db3fdd5f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 20:07 UTC by Erik Lentz
Modified: 2018-06-11 17:01 UTC (History)
2 users (show)

Fixed In Version: nemo-3.8.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-11 17:01:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (34.98 KB, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: core_backtrace (15.59 KB, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: dso_list (9.71 KB, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: environ (1.53 KB, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: maps (50.73 KB, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: mountinfo (3.95 KB, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: open_fds (3.69 KB, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-13 20:07 UTC, Erik Lentz
no flags Details

Description Erik Lentz 2018-04-13 20:07:26 UTC
Description of problem:
1. Open directory containing PDFs
2. Crash rendering thumbnails

Version-Release number of selected component:
nemo-3.6.5-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        nemo
crash_function: g_type_check_instance_cast
executable:     /usr/bin/nemo
journald_cursor: s=eaed752eb3414696829b590a6a5e1909;i=d196fb;b=c805e826bd5c44abbbb282c7694db9cf;m=9aef512dbd;t=569c04b3a1232;x=208cc3302e567a6c
kernel:         4.15.14-300.fc27.x86_64+debug
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4052
 #1 handle_icon_slow_two_click at nemo-icon-container.c:4967
 #2 nemo_icon_container_did_not_drag at nemo-icon-container.c:3141
 #3 button_release_event at nemo-icon-container.c:3471
 #4 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:128
 #5 _g_closure_invoke_va at gclosure.c:867
 #8 gtk_widget_event_internal at gtkwidget.c:7732
 #9 gtk_widget_event at gtkwidget.c:7302
 #10 propagate_event_up at gtkmain.c:2578
 #11 propagate_event at gtkmain.c:2680

Potential duplicate: bug 1295106

Comment 1 Erik Lentz 2018-04-13 20:07:30 UTC
Created attachment 1421562 [details]
File: backtrace

Comment 2 Erik Lentz 2018-04-13 20:07:31 UTC
Created attachment 1421563 [details]
File: cgroup

Comment 3 Erik Lentz 2018-04-13 20:07:32 UTC
Created attachment 1421564 [details]
File: core_backtrace

Comment 4 Erik Lentz 2018-04-13 20:07:33 UTC
Created attachment 1421565 [details]
File: cpuinfo

Comment 5 Erik Lentz 2018-04-13 20:07:34 UTC
Created attachment 1421566 [details]
File: dso_list

Comment 6 Erik Lentz 2018-04-13 20:07:35 UTC
Created attachment 1421567 [details]
File: environ

Comment 7 Erik Lentz 2018-04-13 20:07:35 UTC
Created attachment 1421568 [details]
File: exploitable

Comment 8 Erik Lentz 2018-04-13 20:07:36 UTC
Created attachment 1421569 [details]
File: limits

Comment 9 Erik Lentz 2018-04-13 20:07:37 UTC
Created attachment 1421570 [details]
File: maps

Comment 10 Erik Lentz 2018-04-13 20:07:38 UTC
Created attachment 1421571 [details]
File: mountinfo

Comment 11 Erik Lentz 2018-04-13 20:07:39 UTC
Created attachment 1421572 [details]
File: open_fds

Comment 12 Erik Lentz 2018-04-13 20:07:40 UTC
Created attachment 1421573 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2018-06-08 12:35:59 UTC
cinnamon-3.8.4-1.fc28 cinnamon-screensaver-3.8.2-1.fc28 cinnamon-menus-3.8.2-1.fc28 cinnamon-settings-daemon-3.8.3-1.fc28 muffin-3.8.2-1.fc28 nemo-3.8.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9c42f385b9

Comment 14 Fedora Update System 2018-06-09 22:03:59 UTC
cinnamon-3.8.4-1.fc28, cinnamon-menus-3.8.2-1.fc28, cinnamon-screensaver-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.3-1.fc28, muffin-3.8.2-1.fc28, nemo-3.8.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9c42f385b9

Comment 15 Fedora Update System 2018-06-11 17:01:18 UTC
cinnamon-3.8.4-1.fc28, cinnamon-menus-3.8.2-1.fc28, cinnamon-screensaver-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.3-1.fc28, muffin-3.8.2-1.fc28, nemo-3.8.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.